Package com.google.javascript.jscomp.jsonml

# Enum TagAttr

java.lang.Object
java.lang.Enum<TagAttr>
com.google.javascript.jscomp.jsonml.TagAttr

All Implemented Interfaces:
  `Serializable`, `Comparable<TagAttr>`, `java.lang.constant.Constable`

public enum TagAttr extends Enum<TagAttr>
List of attributes that a JsonML element may have.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BODY`
`DIRECTIVE`
`END_COLUMN`
`END_LINE`
`FLAGS`
`IS_PREFIX`
`LABEL`
`NAME`
`OP`
`OPAQUE_POSITION`
`SOURCE`
`START_COLUMN`
`START_LINE`
`TYPE`
`VALUE`

## Method Summary

Modifier and Type
Method
Description
`static TagAttr`
`get(String name)`
`String`
`toString()`
`static TagAttr`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TagAttr[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BODY

public static final TagAttr BODY

### DIRECTIVE

public static final TagAttr DIRECTIVE

### END_COLUMN

public static final TagAttr END_COLUMN

### END_LINE

public static final TagAttr END_LINE

### FLAGS

public static final TagAttr FLAGS

### IS_PREFIX

public static final TagAttr IS_PREFIX

### LABEL

public static final TagAttr LABEL

### NAME

public static final TagAttr NAME

### OP

public static final TagAttr OP

### OPAQUE_POSITION

public static final TagAttr OPAQUE_POSITION

### SOURCE

public static final TagAttr SOURCE

### START_COLUMN

public static final TagAttr START_COLUMN

### START_LINE

public static final TagAttr START_LINE

### TYPE

public static final TagAttr TYPE

### VALUE

public static final TagAttr VALUE

## Method Details

### values

public static TagAttr[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TagAttr valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static TagAttr get(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TagAttr>`